QB_IPCC_CONNECT(3)

NAME
qb_ipcc_connect - Create a connection to an IPC service.

SYNOPSIS
#include <qb/qbipcc.h>

qb_ipcc_connection_t * qb_ipcc_connect(
    const char   *name,          /* name of the service. */
    size_t        max_msg_size   /* biggest msg size. */
);

PARAMS
name name of the service.

max_msg_size biggest msg size.

DESCRIPTION

RETURN VALUE

NULL (error: see errno) or a connection object.

NOTE

It is recommended to do a one time check on the max_msg_size value using qb_ipcc_verify_dgram_max_msg_size BEFORE calling the connect function when IPC_SOCKET is in use. Some distributions while allow large message buffers to be set on the socket, but not actually honor them because of kernel state values. The qb_ipcc_verify_dgram_max_msg_size function both sets the socket buffer size and verifies it by doing a send/recv.

SEE ALSO

qb_ipcc_send(3), qb_ipcc_sendv_recv(3), qb_ipcc_recv(3), qb_ipcc_event_recv(3), qb_ipcc_connect_async(3), qb_ipcc_fc_enable_max_set(3), qb_ipcc_is_connected(3), qb_ipcc_connect_continue(3), qb_ipcc_auth_get(3), qb_ipcc_sendv(3), qb_ipcc_context_set(3), qb_ipcc_context_get(3), qb_ipcc_verify_dgram_max_msg_size(3), qb_ipcc_get_buffer_size(3), qb_ipcc_disconnect(3), qb_ipcc_fd_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.